# Getting your API Key

## Overview

API keys in Laminar are used to authenticate requests to the Laminar API. They are created and managed in workspace settings and provide secure access to the API.

## Usage

API keys are to be passed in the query parameters of your desired request via the `api_key` param.

```bash
curl -X POST 'https://api.laminar.run/workflow/execute/{workflowId}?api_key=<your_api_key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "data": "your workflow input"
  }'
```

## Best Practices

* Rotate keys periodically for security
* Never share or commit API keys to version control


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.laminar.run/debugging-an-integration/api-key.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
